// -*- c-basic-offset: 4; indent-tabs-mode: nil -*-

/* ***** BEGIN LICENSE BLOCK *****
Version: MPL 1.1/GPL 2.0/LGPL 2.1

The contents of this file are subject to the Mozilla Public License
Version 1.1 (the "License"); you may not use this file except in
compliance with the License. You may obtain a copy of the License at
http://www.mozilla.org/MPL/

Software distributed under the License is distributed on an "AS IS"
basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See the
License for the specific language governing rights and limitations
under the License.

The Original Code is Standard-Sitemap Navigator code.

The Initial Developer of the Original Code is the
Standard-Sitemap Team.

Contributor(s): (see license.txt)

Alternatively, the contents of this file may be used under the terms of
either the GNU General Public License Version 2 or later (the "GPL"), or
the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
in which case the provisions of the GPL or the LGPL are applicable instead
of those above. If you wish to allow use of your version of this file only
under the terms of either the GPL or the LGPL, and not to allow others to
use your version of this file under the terms of the MPL, indicate your
decision by deleting the provisions above and replace them with the notice
and other provisions required by the GPL or the LGPL. If you do not delete
the provisions above, a recipient may use your version of this file under
the terms of any one of the MPL, the GPL or the LGPL.
***** END LICENSE BLOCK ***** */

/* $Id: standardsitemap.js 531 2011-10-02 08:34:12Z ssjools $
 *
 * Default preference values for the extension are stored here.
 */
 
// Turns debug output off
pref("extensions.org.standard-sitemap.navigator.debug", false);

// Auto open sidebar?
pref("extensions.org.standard-sitemap.navigator.autoopen", true);

// Item selection causes visit?
pref("extensions.org.standard-sitemap.navigator.visitonselect", false);

// Regular navigation causes matching items to be made visible?
pref("extensions.org.standard-sitemap.navigator.findonvisit", true);

// Regular navigation causes matching items to be opened?
pref("extensions.org.standard-sitemap.navigator.openonvisit", true);

// Clicking an item to visit it will also open it?
pref("extensions.org.standard-sitemap.navigator.openonclick", true);

// Regular navigation causes first matching item to be selected?
pref("extensions.org.standard-sitemap.navigator.selectonvisit", true);

// Vertical toolbar?
pref("extensions.org.standard-sitemap.navigator.vertbar", false);

// Invert retention of focus?
pref("extensions.org.standard-sitemap.navigator.invertctrlforfocus", false);

// Use ctrl-click to open in new tab?
pref("extensions.org.standard-sitemap.navigator.ctrlfornewtab", false);

// Should we show the urlbar icon overlay when a site has a sitemap?
pref("extensions.org.standard-sitemap.navigator.urlbaricon", true);

// Should we play sounds?
pref("extensions.org.standard-sitemap.navigator.playsounds", false);

// Should we show <item>'s with @role in the tree too?
pref("extensions.org.standard-sitemap.navigator.showRoleItemsInTree", false);

// Should we be in webmaster mode?
pref("extensions.org.standard-sitemap.navigator.modeWebmaster", false);

// What do we use as the HTTP referrer?
pref("extensions.org.standard-sitemap.navigator.referrer", 'sitemap');

// Should we show the Up one level button?
pref("extensions.org.standard-sitemap.navigator.showUpButton", false);

// What's the ideal size for a menu of sitemap items?
pref("extensions.org.standard-sitemap.navigator.menu-limit", 30);

// Default search site
pref("extensions.org.standard-sitemap.navigator.defaultSearchSite",
     "http://www.google.com/search");

// Default search query
pref("extensions.org.standard-sitemap.navigator.defaultSearchQuery",
     "q=%s+site:%w&sourceid=standard-sitemap-protocol");

// Tells Firefox where to get a translated description string for the extension
pref("extensions.extension@standard-sitemap.org.description", "chrome://standard-sitemap.org/locale/standardsitemap.properties");

//Server recognize installed extension through HTTP headers and its version
pref("general.useragent.extra.standardsitemap", "StandardSitemap/0.1");
